Bug 220104 - Release notes required for disk IO backends for Xen
Release notes required for disk IO backends for Xen
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks: 197865
  Show dependency treegraph
 
Reported: 2006-12-18 17:12 EST by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 08:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-12-18 17:12:38 EST
Docs/relnotes need to describe supported state of qcow, file: and tap:aio:
backends, and sparse/non-sparse files for Xen, both PV and FV.
Comment 1 Don Domingo 2006-12-20 04:49:29 EST
added to release notes as per email:

<quote>
qcow and vmdk images are not supported. When manually configuring guests, the
image type for paravirtualized guests should be configured as tap:aio; for fully
virtualized guests, the image type should be file. Images backed by a physical
or logical device should use the phy type.
</quote>

making this bug block release notes, for tracking purposes.
Comment 2 Stephen Tweedie 2006-12-20 05:31:44 EST
"tap:aio;" should be "tap:aio:", and it would be clearer if file and phy were
referred to as "file:" or "phy:".
Comment 3 Don Domingo 2006-12-20 17:51:31 EST
revised as follows:

<quote>
qcow and vmdk images are not supported. When manually configuring guests, the
image type for paravirtualized guests should be configured as tap:aio:. For
fully virtualized guests, the image type should be file:. Images backed by a
physical or logical device should use the phy: type.
</quote>

the final output should reflect a font difference with all the type names (can't
display here).

thanks!
Comment 5 Stephen Tweedie 2007-01-04 09:20:19 EST
On re-reading, it's still slightly ambiguous:

"When manually configuring guests, the
image type for paravirtualized guests should be configured as tap:aio:. For
fully virtualized guests, the image type should be file:."

all refers to file-backed domains only.  I suggest reordering:

qcow and vmdk images are not supported.  When manually configuring guests,
images backed by a physical or logical device should use the phy: type. 
File-backed images should use the tap:aio: image type for paravirtualized
guests, or file: for fully virtualized guests. 
Comment 9 Jay Turner 2007-01-19 08:46:24 EST
Closing out.  Please ensure that a 5.1 bug is entered to track resolution of the
original issue.

Note You need to log in before you can comment on or make changes to this bug.